# Changelog

## [v2.0.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v2.0.0) (2022-08-27)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v1.2.2...v2.0.0)

**Breaking changes:**

- Feature: Add support for pagination [\#238](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/238)
- Feature: Add support for multi create [\#237](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/237)
- Feature: Recognize `multi: true` option of services [\#236](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/236)
- Remove SwaggerUI as direct dependency [\#232](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/232)
- Change default openApiVersion to be 3 instead of 2 [\#188](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/188)
- Drop support for node v6 [\#187](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/187)

**Implemented enhancements:**

- Feature: Allow disabling of methods from defaults [\#214](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/214)
- Feature: add function based option to ignore services  [\#192](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/192)

**Merged pull requests:**

- feat: add support for filter functions to include or ignore services [\#235](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/235) ([Mairu](https://github.com/Mairu))
- Update swagger-parser to the latest version 🚀 [\#189](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/189) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update mocha to the latest version 🚀 [\#180](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/180) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- feat: allow disabling of methods from defaults [\#234](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/234) ([Mairu](https://github.com/Mairu))
- chore: replace request with axios [\#233](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/233) ([Mairu](https://github.com/Mairu))
- Added typings for custom Swagger specifications generation. [\#176](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/176) ([deskoh](https://github.com/deskoh))

## [v1.2.2](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v1.2.2) (2022-05-11)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v1.2.1...v1.2.2)

**Closed issues:**

- An in-range update of @types/express is breaking the build 🚨 [\#184](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/184)
- Spoofing attack in swagger-ui-dist [\#231](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/231)

**Merged pull requests:**

- \[Snyk\] Security upgrade lodash from 4.17.20 to 4.17.21 [\#220](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/220) ([Mairu](https://github.com/Mairu))
- Add scheme note [\#219](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/219) ([bitflower](https://github.com/bitflower))
- \[Snyk\] Security upgrade lodash from 4.17.15 to 4.17.20 [\#215](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/215) ([snyk-bot](https://github.com/snyk-bot))

## [v1.2.1](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v1.2.1) (2020-04-17)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v1.2.0...v1.2.1)

**Merged pull requests:**

- \[Snyk\] Upgrade lodash from 4.17.11 to 4.17.15 [\#198](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/198) ([snyk-bot](https://github.com/snyk-bot))

## [v1.2.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v1.2.0) (2020-04-13)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v1.1.1...v1.2.0)

**Implemented enhancements:**

- Feature: add support for `service.id` as array of columns [\#194](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/194)

**Merged pull requests:**

- Added support for array `service.id` [\#196](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/196) ([dekelev](https://github.com/dekelev))

## [v1.1.1](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v1.1.1) (2020-03-03)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v1.1.0...v1.1.1)

**Fixed bugs:**

- Bug: Wrong typings for SwaggerInitOptions defaults.getOperationsRef [\#185](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/185)

**Closed issues:**

- An in-range update of @feathersjs/express is breaking the build 🚨 [\#174](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/174)
- Updating to 1.0.0 from 0.7.3 breaks docs page [\#146](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/146)
- How to add POST /authentication to create the JWT? [\#136](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/136)

**Merged pull requests:**

- Greenkeeper/@feathersjs/express 4.4.1 [\#175](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/175) ([daffl](https://github.com/daffl))
- Greenkeeper/dtslint 2.0.2 [\#172](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/172) ([daffl](https://github.com/daffl))
- Update dtslint to version 1.0.2  [\#170](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/170) ([daffl](https://github.com/daffl))
- docs: add section about model schemas to readme [\#165](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/165) ([bravo-kernel](https://github.com/bravo-kernel))
- Update @feathersjs/feathers to the latest version 🚀 [\#164](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/164) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update dtslint to the latest version 🚀 [\#159](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/159) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update feathers-memory to the latest version 🚀 [\#158](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/158) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update swagger-parser to the latest version 🚀 [\#152](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/152) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update swagger-parser to the latest version 🚀 [\#151](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/151) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update dtslint to the latest version 🚀 [\#150](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/150) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Add multiple issue templates, update contribution guidelines [\#149](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/149) ([Mairu](https://github.com/Mairu))
- Update nyc to the latest version 🚀 [\#178](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/178) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v1.1.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v1.1.0) (2019-06-02)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v1.0.0...v1.1.0)

**Closed issues:**

- Feature: Add possibility to generate definition / schema from service [\#148](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/148)
- Feature: Add support for update, patch and remove without id [\#147](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/147)
- An in-range update of @types/feathersjs\_\_feathers is breaking the build 🚨 [\#145](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/145)
- Path is not working [\#144](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/144)
- An in-range update of dtslint is breaking the build 🚨 [\#141](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/141)
- Authorize not working properly [\#135](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/135)
- feathers-plus cli generated code [\#124](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/124)
- FeatherJS and SwaggerUI: Could not resolve pointer: /definitions/messages [\#113](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/113)
- Code generated using feathers cli, unable to use swagger with authentication [\#107](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/107)
- generate documentation json from js docs [\#98](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/98)
- Can't read from file /docs [\#97](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/97)
- discussion: introspect services for pre and post hooks, and other routes [\#81](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/81)
- Automatic swagger conf [\#62](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/62)
- Work with Swagger Editor & YAMLconfig files [\#59](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/59)
- path/{template} per service -\> per method [\#46](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/46)
- bug: resourceId not set as literal [\#37](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/37)
- Where to set security scheme to enable auth token to be sent [\#36](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/36)
- Authorization input [\#35](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/35)
- Add documantation for customization of path object  [\#25](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/25)
- docs ignored when path already exists [\#23](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/23)

**Merged pull requests:**

- chore: Replace istanbul with nyc [\#143](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/143) ([Mairu](https://github.com/Mairu))
- Greenkeeper/dtslint 0.7.6 [\#142](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/142) ([Mairu](https://github.com/Mairu))

## [v1.0.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v1.0.0) (2019-05-23)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.7.3...v1.0.0)

**Closed issues:**

- Add support to use either swagger 2.0 or openapi 3.0 [\#137](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/137)
- Add Typescript definitions [\#121](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/121)
- Same swagger definition is used for CREATE and GET, but differs in practice. [\#116](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/116)
- Plural routes lead to unwanted model names [\#112](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/112)
- Space in name leads to non RFC3986-compliant percent-encoded URI [\#109](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/109)
- Disabling methods [\#63](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/63)
- Add support for service groups [\#24](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/24)

**Merged pull requests:**

- Refactor lib to add support for OpenAPI v3 [\#140](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/140) ([Mairu](https://github.com/Mairu))

## [v0.7.3](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.7.3) (2019-04-15)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.7.2...v0.7.3)

**Implemented enhancements:**

- chore: Standardise concatenation and object keys [\#131](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/131) ([EspadaV8](https://github.com/EspadaV8))

**Fixed bugs:**

- fix: Remove invalid securityDefinitions key from operations [\#133](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/133) ([EspadaV8](https://github.com/EspadaV8))

**Closed issues:**

- An in-range update of debug is breaking the build 🚨 [\#118](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/118)
- Version 10 of node.js has been released [\#102](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/102)
- Feature Idea: Validation [\#26](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/26)

**Merged pull requests:**

- Add test to validate swagger specification, fix spec errors [\#139](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/139) ([Mairu](https://github.com/Mairu))
- Update mocha to the latest version 🚀 [\#134](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/134) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update all dependencies [\#130](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/130) ([daffl](https://github.com/daffl))
- feat: Update list of nodejs versions to test against [\#129](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/129) ([EspadaV8](https://github.com/EspadaV8))
- fix: Remove invalid root level keys from swagger file [\#127](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/127) ([EspadaV8](https://github.com/EspadaV8))
- fix: Default security value should not be an object [\#126](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/126) ([EspadaV8](https://github.com/EspadaV8))
- Update feathers-sequelize to the latest version 🚀 [\#123](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/123) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update semistandard to the latest version 🚀 [\#120](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/120) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update debug to the latest version 🚀 [\#119](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/119) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v0.7.2](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.7.2) (2018-07-24)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.7.1...v0.7.2)

**Closed issues:**

- Codeclimate links and badges in readme are dead [\#103](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/103)

**Merged pull requests:**

- API key authentication bug fixed, no more "undefined" security object. [\#115](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/115) ([ivanmarjanovic](https://github.com/ivanmarjanovic))
- added findQueryParameters [\#114](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/114) ([xFuryMaxHD](https://github.com/xFuryMaxHD))

## [v0.7.1](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.7.1) (2018-06-04)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.7.0...v0.7.1)

**Closed issues:**

- Log statement in the code: Remove it? [\#110](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/110)

**Merged pull requests:**

- Removed ui integration log statement [\#111](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/111) ([andys8](https://github.com/andys8))
- fix\(documentation\): Codeclimate badges [\#105](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/105) ([andys8](https://github.com/andys8))

## [v0.7.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.7.0) (2018-05-29)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.5.1...v0.7.0)

## [v0.5.1](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.5.1) (2018-05-29)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.6.0...v0.5.1)

**Closed issues:**

- Swagger & Express [\#106](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/106)
- exclude [\#96](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/96)
- Resolve Errors displayed in Swagger UI [\#91](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/91)
- Test [\#65](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/65)

**Merged pull requests:**

- Config contains idType to set default for application [\#108](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/108) ([andys8](https://github.com/andys8))
- fix\(documentation\): Improved markdown highlighting [\#104](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/104) ([andys8](https://github.com/andys8))
-  fix\(documentation\): Array items reference [\#101](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/101) ([jraut](https://github.com/jraut))
- typo fix [\#95](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/95) ([sarkistlt](https://github.com/sarkistlt))
- Update mocha to the latest version 🚀 [\#92](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/92) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update semistandard to the latest version 🚀 [\#88](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/88) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update feathers-sequelize to the latest version 🚀 [\#87](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/87) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update feathers-memory to the latest version 🚀 [\#86](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/86) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update to new plugin infrastructure and fix test and examples [\#85](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/85) ([daffl](https://github.com/daffl))
- Fix: Adding support for Buzzard provider syntax \(\#83\) [\#84](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/84) ([alexisabril](https://github.com/alexisabril))
- Update mocha to the latest version 🚀 [\#80](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/80) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Support for Swagger UI 3.x [\#79](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/79) ([kristianmandrup](https://github.com/kristianmandrup))
- Update debug to the latest version 🚀 [\#77](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/77) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- adding another example to readme [\#75](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/75) ([paul42](https://github.com/paul42))
- add link and comment about what is being defined [\#74](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/74) ([jamesjnadeau](https://github.com/jamesjnadeau))

## [v0.6.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.6.0) (2017-11-08)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.5.0...v0.6.0)

**Closed issues:**

- Outdated provider signature w/ Buzzard [\#83](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/83)
- Is there a version that works with OAS 2.0? [\#82](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/82)
- Swagger 3.x compatible version [\#78](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/78)
- Did it working with last swagger 3.0 [\#61](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/61)
- \[How to\] add documentation for the /auth/xxx endpoints [\#54](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/54)

## [v0.5.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.5.0) (2017-06-08)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.4.0...v0.5.0)

**Merged pull requests:**

- Update sequelize to the latest version 🚀 [\#71](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/71) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Fix: docs ignored when path already exists \#23 [\#69](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/69) ([psi-4ward](https://github.com/psi-4ward))
- Quality of life [\#68](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/68) ([christopherjbaker](https://github.com/christopherjbaker))
- Update chai to the latest version 🚀 [\#66](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/66) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update feathers-sequelize to the latest version 🚀 [\#60](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/60) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v0.4.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.4.0) (2017-04-26)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.3.5...v0.4.0)

**Merged pull requests:**

- Don't add empty paths [\#58](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/58) ([cpsubrian](https://github.com/cpsubrian))
- Update semistandard to the latest version 🚀 [\#57](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/57) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update dependencies to enable Greenkeeper 🌴 [\#56](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/56) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Allow each method of a service to define docs. [\#52](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/52) ([cpsubrian](https://github.com/cpsubrian))
- Fixes a couple defaults that should be objects, not arrays. [\#49](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/49) ([cpsubrian](https://github.com/cpsubrian))

## [v0.3.5](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.3.5) (2017-04-01)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.3.4...v0.3.5)

**Merged pull requests:**

- Fix extra whitespace if no versionPrefix is passed in config. [\#48](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/48) ([cpsubrian](https://github.com/cpsubrian))
- Fix 'text/html' redirect not respecting mountpath [\#47](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/47) ([cpsubrian](https://github.com/cpsubrian))

## [v0.3.4](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.3.4) (2017-03-23)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.3.3...v0.3.4)

**Closed issues:**

- Definition for prefixed routes [\#39](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/39)

**Merged pull requests:**

- Added config option to support api prefixing and versioning \(fix \#39\) [\#41](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/41) ([sinedied](https://github.com/sinedied))

## [v0.3.3](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.3.3) (2017-03-15)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.3.2...v0.3.3)

**Closed issues:**

- Use default swagger-ui? [\#38](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/38)
- can i use custom swagger-ui? [\#32](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/32)
- ENOENT: no such file or directory [\#31](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/31)

**Merged pull requests:**

- Added option to display default Swagger UI \(closes \#38\) [\#40](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/40) ([sinedied](https://github.com/sinedied))
- Update feathers-authentication to version 1.0.2 🚀 [\#34](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/34) ([greenkeeperio-bot](https://github.com/greenkeeperio-bot))

## [v0.3.2](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.3.2) (2016-12-12)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.3.1...v0.3.2)

**Merged pull requests:**

- Fix definition [\#27](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/27) ([daffl](https://github.com/daffl))

## [v0.3.1](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.3.1) (2016-11-23)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.3.0...v0.3.1)

**Closed issues:**

- Example apps only work when run from root of repo [\#21](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/21)
- Should redirect from /docs to /docs/ [\#20](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/20)
- TypeError: Cannot read property 'name' of undefined [\#19](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/19)

**Merged pull requests:**

- Redirect HTML page to always trailing slash and use require.resolve to find UI [\#22](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/22) ([daffl](https://github.com/daffl))

## [v0.3.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.3.0) (2016-11-22)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/v0.1.0...v0.3.0)

## [v0.1.0](https://github.com/feathersjs-ecosystem/feathers-swagger/tree/v0.1.0) (2016-11-22)

[Full Changelog](https://github.com/feathersjs-ecosystem/feathers-swagger/compare/9d19783e8a2d5e5ad243e6b8484dd3f5dc0ce615...v0.1.0)

**Implemented enhancements:**

- Use swagger-node-express [\#5](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/5)
- Parse documentation with Dox \(or similar\) [\#3](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/3)
- Complete support for REST API [\#2](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/2)

**Fixed bugs:**

- Remove bower\_components/ [\#4](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/4)

**Closed issues:**

- Update npm version [\#16](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/16)
- Problem with path.join [\#13](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/13)
- Please Provide Documentation/Make Example More Accessible [\#11](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/11)
- Documentation Doesn't Exist: What Boneheaded Thing Did I Do? [\#10](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/10)
- Supported in Feathers 2? [\#9](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/9)
- See Swagger API docs [\#1](https://github.com/feathersjs-ecosystem/feathers-swagger/issues/1)

**Merged pull requests:**

- Get plugin release ready [\#18](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/18) ([daffl](https://github.com/daffl))
- support authorization setting and separation of docsPath and basePath [\#17](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/17) ([daffl](https://github.com/daffl))
- fix path.join windows issue [\#14](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/14) ([superbarne](https://github.com/superbarne))
- upgrate swagger to 2.0 [\#12](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/12) ([lpreterite](https://github.com/lpreterite))
- Update README.md [\#8](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/8) ([derek-watson](https://github.com/derek-watson))
- Add config option to set extension of generated docs [\#7](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/7) ([c10h22](https://github.com/c10h22))
- Update to feathers 1.2.0 [\#6](https://github.com/feathersjs-ecosystem/feathers-swagger/pull/6) ([c10h22](https://github.com/c10h22))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
